Page Summary
-
This webpage details how to use the
batchOptimizeToursmethod to optimize vehicle tours for multipleOptimizeToursRequestmessages simultaneously. -
The
batchOptimizeToursmethod is a Long Running Operation (LRO) that reads inputs and writes outputs to Cloud Storage, returningShipmentRoutefields for optimized vehicle routes. -
The HTTP request uses the
POSTmethod and requires a specific URL format, including theparentparameter for the target project and location. -
The request body requires
modelConfigsdata with input/output information, including file paths and data formats, while the successful response body is an instance ofOperation. -
Authorization for this operation requires the
https://www.googleapis.com/auth/cloud-platformOAuth scope and therouteoptimization.operations.createIAM permission on the parent resource.
Optimizes vehicle tours for one or more OptimizeToursRequest messages as a batch.
This method is a Long Running Operation (LRO). The inputs for optimization (OptimizeToursRequest messages) and outputs (OptimizeToursResponse messages) are read from and written to Cloud Storage in user-specified format. Like the projects.optimizeTours method, each OptimizeToursRequest contains a ShipmentModel and returns an OptimizeToursResponse containing ShipmentRoute fields, which are a set of routes to be performed by vehicles minimizing the overall cost.
The user can poll operations.get to check the status of the LRO:
If the LRO done field is false, then at least one request is still being processed. Other requests may have completed successfully and their results are available in Cloud Storage.
If the LRO's done field is true, then all requests have been processed. Any successfully processed requests will have their results available in Cloud Storage. Any requests that failed will not have their results available in Cloud Storage. If the LRO's error field is set, then it contains the error from one of the failed requests.
HTTP request
POST https://routeoptimization.googleapis.com/v1/{parent=projects/*}:batchOptimizeTours
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. Target project and location to make a call. Format: * If no location is specified, a region will be chosen automatically. |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"modelConfigs": [
{
object ( |
| Fields | |
|---|---|
model |
Required. Input/Output information each purchase model, such as file paths and data formats. |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
IAM Permissions
Requires the following IAM permission on the parent resource:
routeoptimization.operations.create
For more information, see the IAM documentation.